.section	".rodata"
.align	8
.section	".text"
f_8:
	ld	[%o5 + 4], %i3
	cmp	%i2, 0
	bne	be_else_24
	nop
	set	0, %i2
	retl
	nop
be_else_24:
	st	%i3, [%i0 + 0]
	sub	%i2, 1, %i2
	st	%o7, [%i0 + 4]
	ld	[%o5 + 0], %o4
	call	%o4
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	ld	[%i0 + 0], %i3
	add	%i3, %i2, %i2
	retl
	nop
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	set	10, %i2
	mov	%i1, %o5
	add	%i1, 8, %i1
	set	f_8, %i3
	st	%i3, [%o5 + 0]
	st	%i2, [%o5 + 4]
	set	123, %i2
	st	%o7, [%i0 + 4]
	ld	[%o5 + 0], %o4
	call	%o4
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	st	%o7, [%i0 + 4]
	call	min_caml_print_int
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	ret
	restore
